Bug 1020381 - concurrent syncs lead to incorrect XML namespace in published metadata
concurrent syncs lead to incorrect XML namespace in published metadata
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
Unspecified Unspecified
urgent Severity urgent
: ---
: 2.3.0
Assigned To: pulp-bugs
Preethi Thomas
: Triaged
Depends On: 1019865
Blocks: 1020039
  Show dependency treegraph
Reported: 2013-10-17 10:48 EDT by Preethi Thomas
Modified: 2013-12-09 09:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1019865
Last Closed: 2013-12-09 09:30:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-10-17 10:48:23 EDT
cloning for 2.3

+++ This bug was initially created as a clone of Bug #1019865 +++

Description of problem:
When doing multiple syncs at the same time, the "rpm" namespace in the published primary.xml can end up instead being called "ns0".

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. sync a big repo
2. sync another big repo at the same time
3. when one finishes, search for "ns0:" in the published primary.xml

Actual results:
"ns0" shows up as an XML namespace instead of "rpm".

--- Additional comment from Michael Hrivnak on 2013-10-16 17:03:35 EDT ---


--- Additional comment from Michael Hrivnak on 2013-10-16 17:27:19 EDT ---

To verify this:

1) sync the rhel 6.4 "kickstart" and "os" repos at the same time [1]
2) verify that the string "ns0:" does not appear in either published repo's primary.xml file.

[1] http://download.devel.redhat.com/cds/prod/content/dist/rhel/server/6/6.4/x86_64/
Comment 1 Preethi Thomas 2013-10-17 10:52:52 EDT
Moving to on-qa
build: 2.3.0-0.22.beta
Comment 3 Preethi Thomas 2013-12-09 09:30:39 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.